zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmort1.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvmort1.c File Reference
`#include "gxvmort.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmort
#define | GXV_MORT_SUBTABLE_TYPE1_HEADER_SIZE ( GXV_STATETABLE_HEADER_SIZE + 2 )

## Typedefs

typedef struct GXV_mort_subtable_type1_StateOptRec_ | GXV_mort_subtable_type1_StateOptRec
typedef struct GXV_mort_subtable_type1_StateOptRec_ * | GXV_mort_subtable_type1_StateOptRecData

## Functions

static void | gxv_mort_subtable_type1_entry_validate (FT_Byte state, FT_UShort flags, GXV_StateTable_GlyphOffsetCPtr glyphOffset_p, FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_mort_subtable_type1_offset_to_subst_validate (FT_Short wordOffset, const FT_String *tag, FT_Byte state, GXV_Validator valid)
static void | gxv_mort_subtable_type1_substitutionTable_load (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_mort_subtable_type1_substTable_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_mort_subtable_type1_subtable_setup (FT_UShort table_size, FT_UShort classTable, FT_UShort stateArray, FT_UShort entryTable, FT_UShort *classTable_length_p, FT_UShort *stateArray_length_p, FT_UShort *entryTable_length_p, GXV_Validator valid)
| gxv_mort_subtable_type1_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmort

Definition at line 38 of file gxvmort1.c.

#define GXV_MORT_SUBTABLE_TYPE1_HEADER_SIZE ( GXV_STATETABLE_HEADER_SIZE + 2 )

Definition at line 49 of file gxvmort1.c.

Referenced by gxv_mort_subtable_type1_validate().

## Typedef Documentation

typedef struct GXV_mort_subtable_type1_StateOptRec_ GXV_mort_subtable_type1_StateOptRec

typedef struct GXV_mort_subtable_type1_StateOptRec_ * GXV_mort_subtable_type1_StateOptRecData

## Function Documentation

static void gxv_mort_subtable_type1_entry_validate | ( | FT_Byte | state,
|  | FT_UShort | flags,
|  | GXV_StateTable_GlyphOffsetCPtr | glyphOffset_p,
|  | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 134 of file gxvmort1.c.

References FT_INVALID_DATA, FT_UNUSED, gxv_mort_subtable_type1_offset_to_subst_validate(), GXV_SET_ERR_IF_PARANOID, GXV_TRACE, and GXV_StateTable_GlyphOffsetDesc_::ul.

Referenced by gxv_mort_subtable_type1_validate().

static void gxv_mort_subtable_type1_offset_to_subst_validate | ( | FT_Short | wordOffset,
|  | const FT_String * | tag,
|  | FT_Byte | state,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 101 of file gxvmort1.c.

References GXV_ValidatorRec_::face, FT_MAX, FT_UNUSED, GXV_ValidatorRec_::max_gid, GXV_ValidatorRec_::min_gid, FT_FaceRec_::num_glyphs, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type1_entry_validate().

static void gxv_mort_subtable_type1_substitutionTable_load | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 54 of file gxvmort1.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type1_validate().

static void gxv_mort_subtable_type1_substTable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 182 of file gxvmort1.c.

References FT_INVALID_GLYPH_ID, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, i, GXV_ValidatorRec_::max_gid, GXV_ValidatorRec_::min_gid, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type1_validate().

static void gxv_mort_subtable_type1_subtable_setup | ( | FT_UShort | table_size,
|  | FT_UShort | classTable,
|  | FT_UShort | stateArray,
|  | FT_UShort | entryTable,
|  | FT_UShort * | classTable_length_p,
|  | FT_UShort * | stateArray_length_p,
|  | FT_UShort * | entryTable_length_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 70 of file gxvmort1.c.

References gxv_set_length_by_ushort_offset(), GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type1_validate().

gxv_mort_subtable_type1_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 224 of file gxvmort1.c.

References GXV_EXIT, GXV_GLYPHOFFSET_ULONG, GXV_LIMIT_CHECK, gxv_mort_subtable_type1_entry_validate(), GXV_MORT_SUBTABLE_TYPE1_HEADER_SIZE, gxv_mort_subtable_type1_substitutionTable_load(), gxv_mort_subtable_type1_substTable_validate(), gxv_mort_subtable_type1_subtable_setup(), GXV_NAME_ENTER, and gxv_StateTable_validate().

Referenced by gxv_mort_subtables_validate().